blueprints.git

commit 53370548f4527e48ab62fc2c4e73d818985c55ba

Author: Adam <git@apiote.xyz>

add czwek-commitly

 czwek-commitly/Dockerfile | 9 +++++++++
 czwek-commitly/build.sh | 13 +++++++++++++


diff --git a/czwek-commitly/Dockerfile b/czwek-commitly/Dockerfile
new file mode 100644
index 0000000000000000000000000000000000000000..747b8f563ab1364b2488ae79622287a816c0b019
--- /dev/null
+++ b/czwek-commitly/Dockerfile
@@ -0,0 +1,9 @@
+FROM mobiledevops/android-sdk-image
+USER root
+WORKDIR /root
+RUN mkdir .ssh
+COPY ssh_key .ssh/id_ed25519
+COPY known_hosts .ssh/known_hosts
+COPY build.sh build.sh
+RUN chmod 755 build.sh
+ENTRYPOINT ["./build.sh"]




diff --git a/czwek-commitly/build.sh b/czwek-commitly/build.sh
new file mode 100755
index 0000000000000000000000000000000000000000..1fc790633315587fe99ae5eece691e4ee22291a0
--- /dev/null
+++ b/czwek-commitly/build.sh
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+set -ex
+
+item="$1"
+
+git clone https://git.apiote.xyz/git/Bimba.git
+cd Bimba
+git checkout develop
+commit=$(git show --pretty=oneline --abbrev-commit --name-only | head -n1 | cut -d ' ' -f 1)
+timestamp=$(date '+%Y%m%dT%H%M')
+./gradlew assembleDebug
+scp app/build/outputs/apk/debug/app-debug.apk "deploy@host.containers.internal:toys/czwek-commitly/${item}/Bimba-${timestamp}_${commit}.apk"